---
apiVersion: vinyl.solidite.fr/v1beta1
kind: Component
category: virt
metadata:
  name: whereabouts
  description: an IPAM plugin for CNIs capable of generating uniq IP across the cluster
options:
  cni:
    default:
      bin_dir: /opt/cni/bin
      conf_dir: /etc/cni/net.d
    examples:
    - bin_dir: /opt/cni/bin
      conf_dir: /etc/cni/net.d
    properties:
      bin_dir:
        default: /opt/cni/bin
        description: use /var/lib/rancher/k3s/data/current/bin for k3s
        type: string
      conf_dir:
        default: /etc/cni/net.d
        description: use /var/lib/rancher/k3s/agent/etc/cni/net.d for k3s
        type: string
    type: object
  images:
    default:
      operator:
        pull_policy: IfNotPresent
        registry: ghcr.io
        repository: k8snetworkplumbingwg/whereabouts
        tag: v0.7.0
    examples:
    - operator:
        pull_policy: IfNotPresent
        registry: ghcr.io
        repository: k8snetworkplumbingwg/whereabouts
        tag: v0.7.0
    properties:
      operator:
        default:
          pull_policy: IfNotPresent
          registry: ghcr.io
          repository: k8snetworkplumbingwg/whereabouts
          tag: v0.7.0
        properties:
          pull_policy:
            default: IfNotPresent
            enum:
            - Always
            - Never
            - IfNotPresent
            type: string
          registry:
            default: ghcr.io
            type: string
          repository:
            default: k8snetworkplumbingwg/whereabouts
            type: string
          tag:
            default: v0.7.0
            type: string
        type: object
    type: object
dependencies:
- dist: null
  category: crd
  component: whereabouts
providers:
  kubernetes: true
  authentik: null
  kubectl: true
  postgresql: null
  mysql: null
  restapi: null
  http: null
  gitea: null
tfaddtype: null
